<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:robotics.commobject="http://www.eclipse.org/papyrus/robotics/commobject/1" xmlns:robotics.services="http://www.eclipse.org/papyrus/robotics/services/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/papyrus/robotics/commobject/1 http://www.eclipse.org/papyrus/robotics/1#//commobject http://www.eclipse.org/papyrus/robotics/services/1 http://www.eclipse.org/papyrus/robotics/1#//services">
  <uml:Model xmi:id="ID" name="rqt_py_common">
    <packageImport xmi:id="_Es-SoYfCEeq98Oq_0FOmvA">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:id="_Es-SoofCEeq98Oq_0FOmvA">
      <importedPackage xmi:type="uml:Model" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_LaOOAJcvEeeV0-Lu2yLOjA"/>
    </packageImport>
    <packagedElement xmi:type="uml:Package" xmi:id="_Es-So4fCEeq98Oq_0FOmvA" name="svcdefs">
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_ArrayVal" name="P_ArrayVal">
        <templateBinding xmi:id="_NZtZQofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_NZtZQ4fCEeq98Oq_0FOmvA" actual="ID_msg_ArrayVal">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/P_Val" name="P_Val">
        <templateBinding xmi:id="_NgogoofCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_Ngogo4fCEeq98Oq_0FOmvA" actual="ID_msg_Val">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_HAQwoPIzEeeJotakjzOasQ"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_CagtgPIzEeeJotakjzOasQ"/>
        </templateBinding>
      </packagedElement>
      <packagedElement xmi:type="uml:Interface" xmi:id="svcdefs/Q_AddTwoInts" name="Q_AddTwoInts">
        <templateBinding xmi:id="_bS6kwYfCEeq98Oq_0FOmvA">
          <parameterSubstitution xmi:id="_bS6kwofCEeq98Oq_0FOmvA" actual="ID_srv_AddTwoIntsReq">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwSanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <parameterSubstitution xmi:id="_bS6kw4fCEeq98Oq_0FOmvA" actual="ID_srv_AddTwoIntsRes">
            <formal xmi:type="uml:ClassifierTemplateParameter" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwyanEeiurq-kTHMlgA"/>
          </parameterSubstitution>
          <signature xmi:type="uml:RedefinableTemplateSignature" href="pathmap://ROBOTICS_LIBRARIES/robotics.library.uml#_5u2FwCanEeiurq-kTHMlgA"/>
        </templateBinding>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="ID_msg" name="msg">
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_ArrayVal" name="ArrayVal">
        <ownedAttribute xmi:id="_NZFHIIfCEeq98Oq_0FOmvA" name="vals" type="ID_msg_Val">
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_NZFHIYfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_NZFHIofCEeq98Oq_0FOmvA" value="5"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_msg_Val" name="Val">
        <ownedAttribute xmi:id="_NgIKUIfCEeq98Oq_0FOmvA" name="floats">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_Mb1zgq4QEemKGaIZu1xPYw"/>
          <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_NgIKUYfCEeq98Oq_0FOmvA"/>
          <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_NgIKUofCEeq98Oq_0FOmvA" value="5"/>
        </ownedAttribute>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="ID_srv" name="srv">
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_srv_AddTwoIntsReq" name="AddTwoIntsReq">
        <ownedAttribute xmi:id="_bSUH0IfCEeq98Oq_0FOmvA" name="a">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJ58a4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
        <ownedAttribute xmi:id="_bSUH0YfCEeq98Oq_0FOmvA" name="b">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJ58a4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
      </packagedElement>
      <packagedElement xmi:type="uml:DataType" xmi:id="ID_srv_AddTwoIntsRes" name="AddTwoIntsRes">
        <ownedAttribute xmi:id="_bSUH0ofCEeq98Oq_0FOmvA" name="sum">
          <type xmi:type="uml:PrimitiveType" href="pathmap://ROS2_LIBRARY/ros2.primitive.uml#_OvJ58a4QEemKGaIZu1xPYw"/>
        </ownedAttribute>
      </packagedElement>
    </packagedElement>
    <profileApplication xmi:id="_Es-SpIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_Es-SpYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/bpc/1#/"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_BPC_PROFILES/bpc.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_Es-SpofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_Es-Sp4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#/"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#__9qqMJZ1Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_Es-SqIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_Es-SqYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//components"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_EZ1TgJZ2Eeeq1f8hGgKVzA"/>
    </profileApplication>
    <profileApplication xmi:id="_Es-SqofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_Es-Sq4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commpattern"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_8Z6x8Je6EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_Es-SrIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_Es-SrYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//deployment"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_tu6OsJe9EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_Es-SrofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_Es-Sr4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//services"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SlbOAJe_EeeiCOWsEr9OuA"/>
    </profileApplication>
    <profileApplication xmi:id="_Es-SsIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_Es-SsYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//commobject"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_bz5AcPCaEeee6ab5J_C5Dg"/>
    </profileApplication>
    <profileApplication xmi:id="_Es-SsofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_Es-Ss4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//functions"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_SV7GwC6LEei0V9-WLHIyvg"/>
    </profileApplication>
    <profileApplication xmi:id="_Es-StIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_Es-StYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//parameters"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_-pU5oDmpEei--ZsfKWaFtw"/>
    </profileApplication>
    <profileApplication xmi:id="_Es-StofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_Es-St4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/robotics/1#//generics"/>
      </eAnnotations>
      <appliedProfile href="pathmap://ROBOTICS_PROFILES/robotics.profile.uml#_eFhjMEnvEeien6eLHpkAxA"/>
    </profileApplication>
    <profileApplication xmi:id="_Es-SuIfCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_Es-SuYfCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Foundations/NFPs"/>
      </eAnnotations>
      <appliedProfile href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_U_GAoAPMEdyuUt-4qHuVvQ"/>
    </profileApplication>
    <profileApplication xmi:id="_Es-SuofCEeq98Oq_0FOmvA">
      <eAnnotations xmi:id="_Es-Su4fCEeq98Oq_0FOmvA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/MARTE/1#//MARTE_Annexes/VSL/DataTypes"/>
      </eAnnotations>
      <appliedProfile href="pathmap://Papyrus_PROFILES/MARTE.profile.uml#_9FdqwA-MEdyLh7muGbCqMw"/>
    </profileApplication>
  </uml:Model>
  <robotics.services:ServiceDefinitionModel xmi:id="_Es-SvIfCEeq98Oq_0FOmvA" base_Package="ID"/>
  <robotics.commobject:CommunicationObject xmi:id="_EvMgMIfCEeq98Oq_0FOmvA" base_DataType="ID_msg_ArrayVal"/>
  <robotics.commobject:CommunicationObject xmi:id="_EvOVYIfCEeq98Oq_0FOmvA" base_DataType="ID_msg_Val"/>
  <robotics.commobject:CommunicationObject xmi:id="_FWTjgIfCEeq98Oq_0FOmvA" base_DataType="ID_srv_AddTwoIntsReq"/>
  <robotics.commobject:CommunicationObject xmi:id="_FWUxoIfCEeq98Oq_0FOmvA" base_DataType="ID_srv_AddTwoIntsRes"/>
  <robotics.services:ServiceDefinition xmi:id="_NZvOcIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_ArrayVal"/>
  <robotics.services:ServiceDefinition xmi:id="_NgpuwIfCEeq98Oq_0FOmvA" base_Interface="svcdefs/P_Val"/>
  <robotics.services:ServiceDefinition xmi:id="_bS7y4IfCEeq98Oq_0FOmvA" base_Interface="svcdefs/Q_AddTwoInts"/>
</xmi:XMI>
